#!/bin/bash


# Detect and handle running under SALOME YACS module.
YACS_ARG=
if test "$SALOME_CONTAINERNAME" != "" -a "$CFDRUN_ROOT_DIR" != "" ; then
  YACS_ARG="--yacs-module=${CFDRUN_ROOT_DIR}"/lib/salome/libCFD_RunExelib.so
fi

# Export paths here if necessary or recommended.
export PATH="/usr/lib/openmpi/bin":$PATH
export LD_LIBRARY_PATH="/usr/lib/openmpi/lib":$LD_LIBRARY_PATH

cd /home/linux/Desktop/0326/0326TEST/CASE1/RESU/20150328-1646

# Run solver.
mpiexec.openmpi -n 4 /home/linux/Desktop/0326/0326TEST/CASE1/RESU/20150328-1646/cs_solver --param 0326.xml --mpi $YACS_ARGS $@
export CS_RET=$?

exit $CS_RET
